<?php
ob_start();
error_reporting(0);
ini_set('max_execution_time', '600'); //600 seconds = 10 minutes
set_time_limit(600);
date_default_timezone_set("America/Mexico_City");
$CotizacionID = $_GET["CotizacionID"];
require_once("bd/cotizaciones/cotizaciones.php");
$cotizaciones = new cotizaciones();
$listCotizacion = $cotizaciones->verCotizacion2($CotizacionID);
$FolioCotizacion = $listCotizacion[0]["FolioCotizacion"];
$DescCotizacion = $listCotizacion[0]["Cotizacion"];
$Fecha = $listCotizacion[0]["Fecha"];

$tbodyCotizacion = "";

for ($i=0; $i < sizeof($listCotizacion); $i++) {
	$Referencia = $listCotizacion[$i]["Referencia"];
	$Area = $listCotizacion[$i]["Area"];
	$Mueble = $listCotizacion[$i]["Mueble"];
	$Unidad = $listCotizacion[$i]["Unidad"];
	$Cantidad = $listCotizacion[$i]["Cantidad"];
	$ObjCompCotID = $listCotizacion[$i]["ObjCompCotID"];

	$cotizaciones = new cotizaciones();
	$listParametros = $cotizaciones->obtenerParametrosCotizacion2($ObjCompCotID);

	$bodyParametro = "";

	for ($y=0; $y < sizeof($listParametros); $y++) {
		$Valor = $listParametros[$y]["Valor"];
		$NameOverride = $listParametros[$y]["NameOverride"];
		$Parametro = $listParametros[$y]["Parametro"];
		$Opciones = $listParametros[$y]["Opciones"];
		$Query = $listParametros[$y]["Query"];
		$UniParametro = $listParametros[$y]["UniParametro"];
		$nombreParametro = $NameOverride == null ? $Parametro : $NameOverride;

		$valorFinal = "";
		if ($Opciones == null && $Query == null) {
			$valorFinal = $Valor;
			if ($UniParametro) {
				$valorFinal .= " $UniParametro";
			}
		}
		else{
			if ($Opciones) {
				$explode = explode(";",$Opciones);
				for ($z=0; $z < sizeof($explode); $z++) {
					if (($z + 1) == $Valor) {
						$valorFinal = $explode[$z];
						break;
					}
				}
			}
			if ($Query) {
				$cotizaciones = new cotizaciones();
				$valorFinal = $cotizaciones->obtenerMaterial($Valor)[0]["Material"];
			}
		}

		$bodyParametro .= "
		<b>· $nombreParametro:</b> $valorFinal.<br>
		";
	}
	$contador = $i + 1;
	$tbodyCotizacion .= "<tr>
	<td class='text-center'>$contador</td>
	<td class='text-center'>$Area</td>
	<td class='text-center'>$Mueble</td>
	<td class='text-center'>$Referencia</td>
	<td class='text-center'>$Cantidad $Unidad</td>
	<td>$bodyParametro</td>
	</tr>";
}

$bodyHTML = "<!DOCTYPE html>
<html lang='es'>
<head>
<link rel='stylesheet' href='https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css'>
<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback'>
<style>
hr{
	height: 5px;
	background-color: #f9aa43;
	border: none;
}
</style>
</head>
<body>
<div class='row'>
<div class='col-12' style='text-align:right'>
<img src='https://awsmx.org/cotizador/dist/img/Login.png' style='width:100px;height:120px'>
</div>
</div>
<div class='row'>
<div class='col-12'>
<h6 style='text-align:center'>Folio: $FolioCotizacion - Fecha: $Fecha</h6>
</div>
</div>
<hr>
<div class='row'>
<div class='col-12'>
<h5 style='text-align:center'>Cotización: $DescCotizacion</h5><br>
<table class='table table-bordered table-sm' style='width:100%; font-size: 13px;'>
<thead>
<tr>
<th class='text-center'>#</th>
<th class='text-center'>Area</th>
<th class='text-center'>Mueble</th>
<th class='text-center'>Referencia</th>
<th class='text-center'>Cantidad</th>
<th class='text-center'>Parámetros</th>
</tr>
</thead>
<tbody>$tbodyCotizacion</tbody>
</table>
</div>
</div>
</body>
</html>";

echo $bodyHTML;

require_once("plugins/dompdf/autoload.inc.php");
use Dompdf\Dompdf;
$dompdf = new DOMPDF(array('enable_remote' => true));
$dompdf->load_html(ob_get_clean());
$dompdf->render();
$pdf = $dompdf->output();
$filename = "$FolioCotizacion.pdf";

file_put_contents($filename, $pdf);

$dompdf->stream($filename);

unlink($filename);
?>
